com.holonplatform.datastore.jpa.jpql.expression

## Interface JPQLProjection<Q,R>

- Type Parameters:
    `Q` - Query result type
    `R` - Projection result type
  All Superinterfaces:
    com.holonplatform.core.Expression, com.holonplatform.core.TypedExpression<R>

      public interface JPQLProjection<Q,R>
      extends com.holonplatform.core.TypedExpression<R>

  JPQL query projection expression.
  Since:
    5.0.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `com.holonplatform.core.Expression.ExpressionResolverFunction<E extends com.holonplatform.core.Expression,R extends com.holonplatform.core.Expression>, com.holonplatform.core.Expression.InvalidExpressionException`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Optional<JPQLResultConverter<? super Q,R>>` | `getConverter()` Get the query result converter.
    `Class<? extends Q>` | `getQueryResultType()` Get the query result type.
    `List<String>` | `getSelection()` Get the query selections.
    `Optional<String>` | `getSelectionAlias(String selection)` Get the alias for given selection expression, if defined.

    - ### Methods inherited from interface com.holonplatform.core.TypedExpression

      `getTemporalType, getType, isCollectionExpression, isConverterExpression`

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

- - ### Method Detail

    - #### getSelection

          List<String> getSelection()

      Get the query selections.
      Returns:
        Query selection

    - #### getSelectionAlias

          Optional<String> getSelectionAlias(String selection)

      Get the alias for given selection expression, if defined.
      Parameters:
        `selection` - Selection expression
      Returns:
        Optional selection alias

    - #### getQueryResultType

          Class<? extends Q> getQueryResultType()

      Get the query result type.
      Returns:
        The query result type

    - #### getConverter

          Optional<JPQLResultConverter<? super Q,R>> getConverter()

      Get the query result converter.
      Returns:
        Query result converter, if available

Copyright © 2019 The Holon Platform. All rights reserved.